
Foreman - Bug #181

External node import prints 'nil' instead of 'class foo missing'

03/17/2010 02:50 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Importers   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a secondary issue, it prints it before the "processing hostname" line.

At a minimum it should print "Class "foo" not found". Ideally there should be a flag to create missing classes on the fly.

Associated revisions

Revision 722ba6f1 - 03/25/2010 02:00 PM - Ohad Levy

fixes #181 - External node import prints 'nil' instead of 'class foo missing'

Revision 0da5bcf1 - 03/25/2010 03:01 PM - Ohad Levy

refs #181 - solves unordered output

Revision cf2f7656 - 04/12/2010 03:17 PM - Ohad Levy

fixes #181 - External node import prints 'nil' instead of 'class foo missing'

History

#1 - 03/25/2010 02:00 PM - Ohad Levy

- Status changed from New to Assigned

- Target version set to 0.1-5

#2 - 03/25/2010 02:06 PM - Ohad Levy

- Status changed from Assigned to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 722ba6f1a71c97beaa800a7781b4c0e82ed9c5f7.

#3 - 03/25/2010 02:58 PM - Dis Connect

Looks good here:

Failed to import tag-tester for autotest1.foo.com: doesn't exists in our database - ignoreing

processing autotest1.foo.com DONE

#4 - 04/12/2010 03:17 PM - Ohad Levy

Applied in changeset cf2f76565425ee835f354e6240511ae9dd9d2050.

#5 - 04/12/2010 03:17 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
